List Virtual Accounts
Get list of virtual accounts (VA) via SePay API v2.
List Virtual Accounts
GET
https://userapi.sepay.vn/v2/bank-accounts/{ba_xid}/vaParameters
ba_xidstringrequired
UUID tài khoản ngân hàng
qstring
Tìm theo số VA hoặc nhãn
activestring
Lọc theo trạng thái: 1 = hoạt động, 0 = ngưng
officialenum
1 = VA chính thức, 0 = VA ảo
staticenum
1 = VA tĩnh, 0 = VA động
created_at_sortenum
Sắp xếp theo ngày tạo (mặc định: mới nhất trước)
Default:descpageinteger
Số trang
Default:1per_pageinteger
Số bản ghi mỗi trang (tối đa 100)
Default:20Code Examples
>
>
>
curl --request GET \--url 'https://userapi.sepay.vn/v2/bank-accounts/f9e8d7c6-b5a4-3210-fedc-ba0987654321/va?q=SOME_STRING_VALUE&active=SOME_STRING_VALUE&official=SOME_INTEGER_VALUE&static=SOME_INTEGER_VALUE&created_at_sort=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE&per_page=SOME_INTEGER_VALUE' \--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
Response
Response 200
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
{"status": "success","data": [{"id": "c3d4e5f6-a7b8-9012-cdef-345678901234","va": "VA001234","sub_holder_name": "NGUYEN VAN A","label": "VA thanh toan","active": 1,"official": 1,"static": 0,"bank_account_id": "f9e8d7c6-b5a4-3210-fedc-ba0987654321","created_at": "2025-06-01 09:00:00","updated_at": "2026-03-12 17:30:00"}],"meta": {"pagination": {"total": 10,"per_page": 20,"current_page": 1,"last_page": 1,"has_more": false}}}
Response 200 - Virtual account list
{
"status": "success",
"data": [
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789013",
"va": "VA001234",
"sub_holder_name": "NGUYEN VAN A",
"label": "Thu ho khach le",
"active": 1,
"official": 1,
"static": 0,
"bank_account_id": "f9e8d7c6-b5a4-3210-fedc-ba0987654321",
"created_at": "2025-06-15 10:00:00",
"updated_at": "2025-11-22 14:45:00"
}
],
"meta": {
"pagination": {
"total": 10,
"per_page": 20,
"current_page": 1,
"last_page": 1,
"has_more": false
}
}
}Notes
idis the UUID of the virtual accountbank_account_idis the UUID of the parent bank account